Bug 1738050 - playonlinux depends on Python 2
Summary: playonlinux depends on Python 2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: playonlinux
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:44 UTC by Lumír Balhar
Modified: 2021-01-08 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 08:57:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:44:00 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for playonlinux's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to playonlinux.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Jiri Konecny 2019-08-12 07:45:09 UTC
Hi Lumír,


> - What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

The whole software is written as Python2 only.

> - What are the upstream/community plans/timelines regarding Python 3?

There are no plans to migrate to python 3. The upstream is already working on a new version of this PlayOnLinux based on Java but there are problems of Java library dependency for Fedora, also I'm not planning to package Java program into the Fedora. I'm not used to Java and honestly I'm not using this application anymore so I don't have much tendency to spent time on packaging of the new version.

> - What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

Please drop this package. Upstream already stopped work on this version and they are concentrating on the Java version. There is no reason to spend resources on keeping this in Fedora.

Comment 2 Miro Hrončok 2019-08-12 08:57:59 UTC
Package dropped.

Comment 3 Robert Scheck 2021-01-08 15:26:36 UTC
By the way, bug #1913737 is the attempt to bring the package (now with Python 3 support) back.

Comment 4 Jiri Konecny 2021-01-08 17:37:15 UTC
Thank you for the heads-up! I did not thought they will implemented Python 3 support :).


Note You need to log in before you can comment on or make changes to this bug.